Page MenuHomePhabricator

ISO compilation error
Closed, WontfixPublicBUG

Description

git clone https://github.com/vyos/vyos-build.git
./configure --build-by hexes --build-type release --version="0.0.8" --architecture amd64
make iso
[2018-11-26 23:32:39] lb binary_manifest 
P: Begin creating manifest...
[2018-11-26 23:32:39] lb binary_package-lists 
P: Begin installing local package lists...
[2018-11-26 23:32:39] lb binary_linux-image 
P: Begin install linux-image...
cp: cannot stat ‘chroot/boot/initrd.img-*’: No such file or directory
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists...
Building dependency tree...
Reading state information...

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0
Why the issue appeared?
Will be filled on close

Event Timeline

hexes created this task.Nov 27 2018, 4:59 PM
c-po added a subscriber: c-po.Nov 27 2018, 11:47 PM

There hve recently been changes in regards to EFI. Please check the Dockerfile for all required packages or switch to Completely!

hexes added a comment.Nov 28 2018, 4:09 PM

I cant understand about Docker, early I used virtualbox with Deb8, now i need to use DOcker inside of this virtualbox ???

If you are working on a Debian Jessie machine, no special preparation is needed, you only need to enable jessie-backports and install build dependencies.

No?

hexes added a comment.Nov 28 2018, 4:11 PM
uname -a
Linux vyosbuilder 3.16.0-4-amd64 #1 SMP Debian 3.16.51-3 (2017-12-13) x86_64 GNU/Linux

cat /etc/debian_version 
8.11

cat /etc/os-release 
PRETTY_NAME="Debian GNU/Linux 8 (jessie)"
NAME="Debian GNU/Linux"
VERSION_ID="8"
VERSION="8 (jessie)"
ID=debian
HOME_URL="http://www.debian.org/"
SUPPORT_URL="http://www.debian.org/support"
BUG_REPORT_URL="https://bugs.debian.org/"
syncer assigned this task to dmbaturin.Dec 1 2018, 6:19 PM
syncer triaged this task as Low priority.
hexes added a comment.Dec 17 2018, 5:37 PM

Processing triggers for systemd (215-17+deb8u8) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Errors were encountered while processing:
/var/cache/apt/archives/xe-guest-utilities_7.10.0-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists...
Building dependency tree...
Reading state information...

Still can't build ISO...

hexes added a comment.Dec 17 2018, 6:05 PM

After removing of this package I got:

Reading state information...
[2018-12-18 01:02:24] lb binary_manifest 
P: Begin creating manifest...
[2018-12-18 01:02:24] lb binary_package-lists 
P: Begin installing local package lists...
[2018-12-18 01:02:24] lb binary_linux-image 
P: Begin install linux-image...
cp: cannot stat ‘chroot/boot/initrd.img-*’: No such file or directory
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists...
Building dependency tree...
Reading state information...
hexes added a comment.Dec 18 2018, 3:24 PM

Should be fixed now

Maybe i'm doing something wrong? But still not...

hexes added a comment.Jan 4 2019, 2:44 PM

Dudes? Still same...

hexes raised the priority of this task from Low to High.Jan 4 2019, 2:45 PM
syncer closed this task as Wontfix.Jan 4 2019, 2:45 PM
syncer lowered the priority of this task from High to Low.
syncer added a subscriber: syncer.

This was fixed,
Please read documentation

c-po added a comment.Jan 5 2019, 9:56 AM

I assume you lack some build dependencies. Please check the Dockerfile which has all required dependencies in it and install them on your native build host.

Another alternative is building inside a Docker container which is build from the same Dockerfile.

hexes added a comment.Jan 8 2019, 4:11 PM

This was fixed,
Please read documentation

Sad, but not...

https://wiki.vyos.net/wiki/Howto_build_VyOS_1.2_ISO_image_and_VMWare_.OVF

Which documentation you mean?

Debian 8,
apt-get install emacs
apt-get install git autoconf automake dpkg-dev syslinux genisoimage qemu jq libz-dev zip python3 live-build pbuilder devscripts python3-pystache
Packer
git clone https://github.com/vyos/vyos-build.git
cd vyos-build
./configure
sudo make iso

aaaaaannnd:
[2019-01-08 23:01:40] lb binary_linux-image
P: Begin install linux-image...
cp: cannot stat ‘chroot/boot/initrd.img-*’: No such file or directory
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists...
Building dependency tree...
Reading state information...

WHAT I DO WRONG???

c-po added a comment.Jan 8 2019, 7:00 PM

The provides Dockerfile lists all packages which are needed to compile VyOS on a Debian jessie host. If you do not want ro install all this on your host simply use the provided Docker image and you are ready to go.